import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:baro_service/baro_service.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  double? _pressure = 0.0;
  StreamSubscription? _pressureListener;

  @override
  void initState() {
    super.initState();

    _pressureListener = baroSersor.absolutePressure.listen((event) {
      setState(() {
        _pressure = event.pressure;
      });
    });
  }

  // Platform messages are asynchronous, so we initialize in an async method.

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Pressure (pHa): $_pressure\n'),
        ),
      ),
    );
  }
}
